Bug 664943 - qpid-tool does not support map arguments
Summary: qpid-tool does not support map arguments
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-cpp
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 664941
Blocks: 658828 670956
TreeView+ depends on / blocked
 
Reported: 2010-12-22 08:56 UTC by Andrew Beekhof
Modified: 2013-09-12 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 670956 (view as bug list)
Environment:
Last Closed: 2012-08-16 19:41:39 UTC
Type: ---


Attachments (Terms of Use)

Description Andrew Beekhof 2010-12-22 08:56:47 UTC
Description of problem:

QMFv2 supports map arguments, however qpid-tool cannot be used to call methods that use them.

Version-Release number of selected component (if applicable):

Upstream 08-rc3 (since F-14 packages don't contain qpid-tool)

How reproducible:

Always

Steps to Reproduce:
1. Call an API method requiring a map argument

Eg.

# qpid-tool localhost:49000
Management Tool for QPID
qpid: list org.matahariproject:resources
Object Summary:
    ID   Created   Destroyed  Index
    =========================================================================
    101  08:52:43  -          org.matahariproject:resources:f13.beekhof.net
qpid: call 101 invoke something ocf heartbeat IPaddr monitor 0 {u'ip':192.168.9.77} 20000

  
Actual results:

qpid: invalid conversion: Cannot convert from string to map (qpid/types/Variant.cpp:546) (7) - {}

Expected results:

The method is called

Additional info:

Comment 1 Fedora End Of Life 2012-08-16 19:41:43 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.